Package org.springframework.cache.jcache.interceptor

# Class SimpleExceptionCacheResolver

java.lang.Object
org.springframework.cache.interceptor.AbstractCacheResolver
org.springframework.cache.jcache.interceptor.SimpleExceptionCacheResolver

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`, `org.springframework.cache.interceptor.CacheResolver`

public class SimpleExceptionCacheResolver extends org.springframework.cache.interceptor.AbstractCacheResolver
A simple `CacheResolver` that resolves the exception cache based on a configurable `CacheManager` and the name of the cache: `CacheResultOperation.getExceptionCacheName()`.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  - `CacheResultOperation.getExceptionCacheName()`

## Constructor Summary

Constructors
Constructor
Description
`SimpleExceptionCacheResolver(org.springframework.cache.CacheManager cacheManager)`

## Method Summary

Modifier and Type
Method
Description
`protected Collection<String>`
`getCacheNames(org.springframework.cache.interceptor.CacheOperationInvocationContext<?> context)`

### Methods inherited from class org.springframework.cache.interceptor.AbstractCacheResolver

`afterPropertiesSet, getCacheManager, resolveCaches, setCacheManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleExceptionCacheResolver

public SimpleExceptionCacheResolver(org.springframework.cache.CacheManager cacheManager)

## Method Details

### getCacheNames

@Nullable protected Collection<String> getCacheNames(org.springframework.cache.interceptor.CacheOperationInvocationContext<?> context)

Specified by:
  `getCacheNames` in class `org.springframework.cache.interceptor.AbstractCacheResolver`